> For the complete documentation index, see [llms.txt](https://docs.cange.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cange.me/api/fluxos/comentarios/buscar-os-comentarios-de-um-cartao.md).

# Buscar os comentários de um cartão

Os comentários são elementos fundamentais para garantir a comunicação e o alinhamento entre os membros da equipe dentro dos cartões no Cange. Eles permitem registrar observações, decisões e interações diretamente no contexto das tarefas em andamento, promovendo colaboração e rastreabilidade ao longo dos processos.

Utilizar a API do Cange para buscar comentários possibilita consultar todo o histórico de interações de um cartão, integrando essa informação aos seus sistemas e garantindo visibilidade centralizada das comunicações.

Para buscar os comentários de um cartão através da API, você precisará ter um token de acesso válido. Se ainda não possui o seu token, consulte nosso guia abaixo sobre como obter o token de autenticação.

{% content-ref url="/pages/9WZ3PW4K1WSS8OpsOrjm" %}
[Autenticação](/api/autenticacao.md)
{% endcontent-ref %}

## Realizando a chamada para busca dos comentários de um cartão

```http
https://api.cange.me/card-comment/by-card
```

<mark style="color:green;">`GET`</mark> `/card-comment/by-card`&#x20;

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/json`         |
| Origin        | `https://app.cange.me`     |
| Authorization | `Bearer <token de acesso>` |

**Query String Parameter**

```
card_id=187272&flow_id=8878221
```

| Name      | Type   | Description                    |
| --------- | ------ | ------------------------------ |
| `card_id` | number | Código identificador do cartão |
| `flow_id` | number | Código identificador do fluxo  |

**Response**

{% tabs %}
{% tab title="200" %}

```json
[
    {
        "id_card_comment": 166749,
        "card_id": 710052,
        "user_id": 8123123,
        "dt_created": "2026-01-29T12:29:53.000Z",
        "dt_last_update": "2026-01-29T12:29:53.000Z",
        "description": "Teste comenrário",
        "fixed": "0",
        "card": {
            "id_card": 710052,
            "company_id": 5469,
            "flow_id": 17628,
            ...
        },
        "user": {
            "id_user": 8123,
            "email": "teste09328492@cange.me",
            "name": "Juca",            
            "company_id": 5469,
            ...
        },
        "dt_created_string": "29/01/2026 às 09:29"
    }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cange.me/api/fluxos/comentarios/buscar-os-comentarios-de-um-cartao.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
